Package ru.bitel.bgbilling.kernel.task.server.task

# Class TaskGenerator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.TaskBase
ru.bitel.bgbilling.kernel.task.server.task.TaskGenerator

public class TaskGenerator extends ru.bitel.bgbilling.kernel.task.server.TaskBase

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACTION_ADD`
  `static final int`
  `ACTION_DEL`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `defaultDescription, error, moduleId, setup, taskId, taskSetup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskGenerator()`
  `TaskGenerator(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `executeTask()`
  `String`
  `getDescription()`
  `protected boolean`
  `initTask()`
  `void`
  `loadTask(int action, Date date, int sourceID, List<String> hourss)`
  `void`
  `loadTaskAdd(Calendar date, int sourceID)`
  `void`
  `loadTaskAll(int action, Date date, int mid, List<String> hours)`
  `void`
  `loadTaskAllAdd(Calendar date, int mid)`
  `void`
  `loadTaskAllDelete(Calendar date, int mid)`
  `void`
  `loadTaskDelete(Calendar date, int source_id)`
  `void`
  `processTask(int action, Date date, int mid, int sourceID, List<String> hours)`
  `void`
  `processTask(int action, Date date, int mid, List<String> hours)`
  `void`
  `processTaskAdd(Calendar date, int mid)`
  `void`
  `processTaskAdd(Calendar date, int mid, int param)`
  `void`
  `processTaskDelete(Calendar date, int mid)`
  `void`
  `processTaskDelete(Calendar date, int mid, int param)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `getError, getFinishTime, getModuleId, getOperatingTime, getPriority, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initModuleId, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, setPriority, startTask, taskParameters, to`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ACTION_ADD

    public static final int ACTION_ADD
    See Also:
      - Constant Field Values

  - ### ACTION_DEL

    public static final int ACTION_DEL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TaskGenerator

    public TaskGenerator()

  - ### TaskGenerator

    public TaskGenerator(Connection con)

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### loadTask

    public void loadTask(int action, Date date, int sourceID, List<String> hourss)

  - ### loadTaskAll

    public void loadTaskAll(int action, Date date, int mid, List<String> hours)

  - ### loadTaskAdd

    public void loadTaskAdd(Calendar date, int sourceID)

  - ### loadTaskAllAdd

    public void loadTaskAllAdd(Calendar date, int mid)

  - ### loadTaskDelete

    public void loadTaskDelete(Calendar date, int source_id)

  - ### loadTaskAllDelete

    public void loadTaskAllDelete(Calendar date, int mid)

  - ### processTask

    public void processTask(int action, Date date, int mid, int sourceID, List<String> hours)

  - ### processTask

    public void processTask(int action, Date date, int mid, List<String> hours)

  - ### processTaskAdd

    public void processTaskAdd(Calendar date, int mid)

  - ### processTaskAdd

    public void processTaskAdd(Calendar date, int mid, int param)

  - ### processTaskDelete

    public void processTaskDelete(Calendar date, int mid)

  - ### processTaskDelete

    public void processTaskDelete(Calendar date, int mid, int param)

  - ### initTask

    protected boolean initTask()
    Specified by:
      `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`